Bug 220282 - Build www/node on arm64
Summary: Build www/node on arm64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL:
Keywords:
Depends on:
Blocks: 201763 220291
  Show dependency treegraph
 
Reported: 2017-06-26 10:43 UTC by Andrew Turner
Modified: 2017-06-30 19:58 UTC (History)
2 users (show)

See Also:
bhughes: maintainer-feedback+


Attachments
Build fix (2.72 KB, patch)
2017-06-26 10:43 UTC, Andrew Turner
no flags Details | Diff
Updated patch (1.61 KB, patch)
2017-06-29 13:40 UTC, Andrew Turner
bhughes: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Turner freebsd_committer 2017-06-26 10:43:01 UTC
Created attachment 183805 [details]
Build fix

The attached patch allows www/node to be built for arm64. I've used this as part of the chromium build, but haven't tested it any further.

I'm not sure why dtrace is failing, however there is no userspace dtrace support on arm64 so I feel this is ok to exclude.
Comment 1 Bradley T. Hughes freebsd_committer 2017-06-29 09:15:33 UTC
Hi Andrew,

This is great, I've been wanting to try to build on arm64 for a while now, but haven't gotten around to it yet. I just updated www/node to 8.1.2. Does this patch still work?

Thanks :)
Comment 2 Andrew Turner freebsd_committer 2017-06-29 13:40:34 UTC
Created attachment 183912 [details]
Updated patch

I've updated the patch for 8.1.3.
Comment 3 Bradley T. Hughes freebsd_committer 2017-06-30 05:16:04 UTC
This looks good to me. Do you want to put the patch up for review, or shall I?
Comment 4 Matthew Seaman freebsd_committer 2017-06-30 09:05:34 UTC
Approved for commit
Comment 5 commit-hook freebsd_committer 2017-06-30 09:20:19 UTC
A commit references this bug:

Author: andrew
Date: Fri Jun 30 09:19:55 UTC 2017
New revision: 444704
URL: https://svnweb.freebsd.org/changeset/ports/444704

Log:
  www/node: Build on arm64

  DTrace fails to build, however there is no userspace DTrace support on
  arm64 for it to use.

  PR:		220282
  Approved by:	bhughes (maintainer), matthew

Changes:
  head/www/node/Makefile
  head/www/node/files/patch-deps_v8_src_base_cpu.cc